#include <stdio.h>
#include <string.h>
#define BUFFER 100

/* Implementação do procedimento MostraLamberta - imprime o tabuleiro */
void MostraLamberta(int arr[], int tamanho)
{
	for (int i = 0; i < tamanho; i++)
	{
		if (arr[i] == 0)
		{
			printf("%s", "O");
		}
		else
		{
			printf("%s", "X");
		}
	}
}
/* Implementação do procedimento VerificaEntrada       */
/* retorna um se estiver tudo ok e zero caso contrário */
int VerificaEntrada(char arr[], int tamanho)
{
	int retorno = 1;
	for (int i = 0; i < tamanho; i++)
	{
		/* verifica se o valor não é um zero ou um um */
		if ((arr[i] != '0') & (arr[i] != '1'))
		{
			retorno = 0;
		}
	}
	return retorno;
}
void main()
{
	char str[BUFFER];
	int i, tamanho, tabuleiro[BUFFER];
	// leitura dos dados
	scanf("%s", str);
	tamanho = strlen(str);

	// chama o procedimento para verificar se há algum valor incorreto
	if (VerificaEntrada(str, tamanho) == 0)
	{
		printf("%s", "Entrada incorreta, aceita zeros e uns...");
	}
	else
	{
		/* cria o tabuleiro com inteiros */
		for (i = 0; i < tamanho; i++)
		{
			if (str[i] == '0')
				tabuleiro[i] = 0;
			else
				tabuleiro[i] = 1;
		}
		/* Chamar o procedimento para mostrar o tabuleiro */
		MostraLamberta(tabuleiro, tamanho);
	}
}