#include <stdio.h>
#include <string.h>
#define BUFFER 100
unsigned int randaux()
{
	static long seed = 1;
	return (((seed = seed * 214013L + 2531011L) >> 16) & 0x7fff);
}

/* Implementação do procedimento MostraLamberta - imprime o tabuleiro */
void MostraLamberta(int arr[], int tamanho)
{

	for (int i = 0; i < tamanho; i++)
	{
		if (arr[i] == 0)
		{
			printf("%s", "O");
		}
		else
		{
			printf("%s", "X");
		}
	}
}

/* Implementação do procedimento GeraLamberta - gera um novo tabuleiro */
void GeraLamberta(int arr[], int tamanho)
{
	for (int i = 0; i < tamanho; i++)
	{
		int aux = randaux();
		if (aux % 2 == 0)
		{
			arr[i] = 0;
		}
		else
		{
			arr[i] = 1;
		}
	}
}

void main()
{
	int i, saltos, tamanho, tabuleiro[BUFFER];
	// leitura dos dados - tamanho do tabuleiro e a quantidade de números aleatórios que salta
	scanf("%d %d", &tamanho, &saltos);

	// saltar os primeiros números aleatórios, para ter sequências distintas
	for (i = 0; i < saltos; i++)
		randaux();

	/* Chamar o procedimento para gerar um novo tabuleiro */
	GeraLamberta(tabuleiro, tamanho);
	/* Chamar o procedimento para mostrar o tabuleiro */
	MostraLamberta(tabuleiro, tamanho);
}
